## tmpreaper-1.4.13.tar.gz

=== Makefile ===
VERSION = 1.4.13

CC	:= gcc
CFLAGS  = -g -O2

SHELL = /bin/sh

# -------------------------------------------------
override CFLAGS += -Wall -DVERSION=\"$(VERSION)\"

all: tmpreaper

tmpreaper: tmpreaper.c

install: tmpreaper
	install -s -o root -g root -m 0755 tmpreaper $(PREFIX)/usr/sbin/tmpreaper
	install -o root -g root -m 0644 tmpreaper.8 $(PREFIX)/usr/share/man/man8/tmpreaper.8

clean:
	-rm -f tmpreaper core *~

# ----------- Archiving rules --------------------
tar.gz: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	gzip -9 ../tmpreaper-$(VERSION).tar

tar.bz2: clean
	tar --create --directory=.. --file=../tmpreaper-$(VERSION).tar $(shell basename `pwd`)
	bzip2 ../tmpreaper-$(VERSION).tar
